<?php
/**
 * This file is part of Gutenberg PHP Block.
 *
 * Gutenberg PHP Block is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public
 * License as published by the Free Software Foundation, either
 * version 3 of the License, or (at your option) any later version.
 *
 * Gutenberg PHP Block is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Gutenberg PHP Block.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Plugin Name:     Gutenberg PHP Block
 * Plugin URI:      https://plugins.tandem.ws/gutenberg-php-block
 * Description:     Gutenberg block that executes snippets of PHP code.
 * Version:         2021090602
 * Author:          Tandem
 * Author URI:      https://tandem.blog/
 * Text Domain:     gutenberg-php-block
 * Domain Path:     /languages
 * Requires PHP:    7.4
 * Requires WP:     5.5.0
 * License:         AGPL-3.0-or-later
 * License URI:     https://www.gnu.org/licenses/agpl-3.0.html
 * Namespace:       Tandem\Blocks
 */

declare( strict_types=1 );

use GutenbergPhpBlock\Bootstrap;

add_action(
	'plugins_loaded',
	static function () {
		try {
			/* @noinspection PhpIncludeInspection */
			require plugin_dir_path( __FILE__ ) . 'vendor/autoload.php';
			new Bootstrap( __FILE__ );
		} catch ( Throwable $e ) {
			wp_die( __( 'Gutenberg PHP Block is unable to run its Bootstrap class.', 'gutenberg-php-block' ) );
		}
	}
);
