import { __ } from '@wordpress/i18n';
import { registerBlockType } from '@wordpress/blocks';
import { PlainText, useBlockProps } from '@wordpress/block-editor';

import './editor.scss'

registerBlockType(
	'tandem/php',
	{
		apiVersion: 2,
		title: __( 'PHP Code', 'gutenberg-php-block' ),
		category: 'widgets',
		description: __( 'Eval a PHP code snippet when rendering the page.', 'gutenberg-php-block' ),
		attributes: {
			text: {
				type: "string",
			},
		},
		supports: {
			className: false,
			customClassName: false,
			html: false,
		},
		editorStyle: "wp-block-shortcode-editor",
		edit( { attributes, setAttributes } ) {
			return (
				<div { ...useBlockProps( { className: 'components-placeholder' } ) }>
					<label
						className="components-placeholder__label"
					>
						{ __( 'PHP Code', 'gutenberg-php-block' ) }
					</label>
					<PlainText
						className="blocks-shortcode__textarea"
						value={ attributes.text }
						aria-label={ __( 'PHP code', 'gutenberg-php-block' ) }
						placeholder={ __( 'Write PHP code here…', 'gutenberg-php-block' ) }
						onChange={ ( text ) => setAttributes( { text } ) }
					/>
				</div>
			);
		},
	}
);
